Sign in to follow this  
Master Tao

Comprehensive Mod Compatibility List for KSP 1.0

Recommended Posts

[thread=64972]DMagic Orbital Science Version 1.0.2[/thread] has been updated for KSP 1.0.

Share this post


Link to post
Share on other sites

While I haven't tried it out myself, B9 Aerospace 5.2.8 sounds like it's mostly/somewhat compatible, but theres a couple dependency plugins that have to be updated and the parts have to be reconfigured to the new aerodynamics, thermodynamics and the node system.

Edit: Oh, and Exception Detector 1.1 is compatible with 1.0 as is, no updates needed.

Share this post


Link to post
Share on other sites

Given all the issues posted in the B9 thread, I'll have to mark that as incompatible.

Share this post


Link to post
Share on other sites

Yeah, it was somewhere between mostly compatible and completely incompatible, so I wasn't totally sure. It does need a major update though.

I agree on putting it in incompatible though due to the large amount of updates it needs and the dependent plugins in there that need to be updated.

Edit: How come you put Exception detector in 'mostly compatible'? I haven't had any problems with it and all it does is show (most of*) the exceptions that appear in the output log, into a popup ingame. Waiting for it to be officially compatible?

Edited by smjjames

Share this post


Link to post
Share on other sites

Share this post


Link to post
Share on other sites

KW and B9 took several weeks to get updated to .90... I wouldn't hold your breath. And my MechJeb wasn't unlocking sequentially in career mode.

Share this post


Link to post
Share on other sites

Well, MechJeb is compatible, but still has some issues to iron out.

Hangar Extender 3.2 looks to be fully functional, no issues that I can see. I play science mode, so I can't rule out something in career mode.

Don't think they changed anything about the SPH and VAB buildings physically anyway.

Edited by smjjames

Share this post


Link to post
Share on other sites

LazTek SpaceX Launch, Exploration, Colonial Transporter & Historic mod

http://forum.kerbalspaceprogram.com/threads/29388-0-90-LazTek-SpaceX-Launch-Exploration-Colonial-Transporter-Historic-mods-%281-25-14%29

Mostly compatible. Fairing seems to be broken.

Heat model needs a little work (parachute explodes, but who needs that anyway^^)

The landing gear retraction animation on the main stage skips.

Besides that everything is fine!

Share this post


Link to post
Share on other sites
How come you put Exception detector in 'mostly compatible'?

It was never under "mostly compatible." It was always listed as "known compatible."

(Thanks. Fixed.)

I'll hold off until there are official releases.

Share this post


Link to post
Share on other sites

My mods are now all updated for KSP 1.0

I've released updated versions of all of them, so they can all go in the Compatble, Update Required category.

Control Lock 1.4

Action Groups Extended 1.32

Auto Actions 1.4

Actions Everywhere 1.4

Landing Height 1.4

Horizontal Landing Aid 2.4

Vertical Velocity Controller 1.19

D.

edit: Looks like someone already reported Control Lock, Action Groups Extended, and Landing Height for me.

Share this post


Link to post
Share on other sites

I apologize if this is the wrong place to ask, but is there a place that has a list of all mac compatible mods?

Share this post


Link to post
Share on other sites

Just signed up to the forum to let y'all know that Raster Prop Monitor appears to support v1.0 now. For those long flights IVA :D

http://forum.kerbalspaceprogram.com/threads/117471-1-0-RasterPropMonitor-still-putting-the-A-in-IVA-%28v0-19-0-28-Apr-2015%29

Since MOARdV took over from Mihara and can't update the OP in the thread, he's created a new thread for 1.0

Share this post


Link to post
Share on other sites
I apologize if this is the wrong place to ask, but is there a place that has a list of all mac compatible mods?

uh, all of them? Outside of key mapping the mod key, I don't see any reason why any mod should be Mac incompatible.

Share this post


Link to post
Share on other sites

Known incompatible:

Realfuels

Realism overhaul

Engine igniter

Better buoyancy

Sorry for no links, on the bus. Will link tonight if someone hasn't beaten me to it.

Share this post


Link to post
Share on other sites

Can we assume that most of the mods that have been updated for 1.0 are compatible with 1.0.2?

Share this post


Link to post
Share on other sites
I apologize if this is the wrong place to ask, but is there a place that has a list of all mac compatible mods?

To my knowledge, all the mods listed here are Windows, OS X, and Linux compatible. Most mods are, though a few contain native code and only work on the modder's platform.

Can we assume that most of the mods that have been updated for 1.0 are compatible with 1.0.2?

Odds are good, though there were enough changes that might break plugins and balance. That said, anyone who's already updated a mod for 1.0.0 will probably be around to update for 1.0.2.

Share this post


Link to post
Share on other sites

NFSolar, NFSpacecraft, NFConstruction are all updated

Link

Edited by CosmoBro

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.
Sign in to follow this